<< ifftshift1 | FOSSEE_Signal_Processing_Toolbox | iirlp2mb >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > ifht

# ifht

Calculate the inverse Fast Hartley Transform of real input.

### Syntax

    m = ifht(d)
    m = ifht(d, n)
    m = ifht(d, n, dim)

### Parameters

d:

  Real or complex scalar, vector, or matrix.

n:

  (optional) Integer specifying the number of elements of d to use. If n is larger than the dimension along which the ifht is calculated, d is resized and padded with zeros. If smaller, d is truncated.

dim:

  (optional) Integer specifying the dimension of the matrix along which the ifht is performed.

### Description

Calculates the inverse Fast Hartley Transform of real input d. If d is a matrix, the inverse Hartley transform is calculated along the columns by default.

### Examples

    ifht(1 : 4)

Report an issue
<< ifftshift1 | FOSSEE_Signal_Processing_Toolbox | iirlp2mb >>